Bug 819191 - upgrade to libwacom-0.5-2.fc17 breaks gnome-settings-daemon
upgrade to libwacom-0.5-2.fc17 breaks gnome-settings-daemon
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libwacom (Show other bugs)
17
i386 Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-05 10:51 EDT by Colin Macdonald
Modified: 2012-05-15 22:58 EDT (History)
3 users (show)

See Also:
Fixed In Version: libwacom-0.5-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-15 22:58:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xinput-list-long.txt (9.70 KB, text/plain)
2012-05-07 20:49 EDT, Colin Macdonald
no flags Details

  None (edit)
Description Colin Macdonald 2012-05-05 10:51:59 EDT
When running libwacom-0.5-2, my gdm screen has a the gnome-shell "oh no" screen as a background.  Once logged in, I have a solid black background, old-style gtk themes ("rayleigh"?), no media keys, no suspend, blinking cursors.  Its like gnome-settings-daemon isn't running, although "ps" verifies it is.

If I open gnome-control-center, then clicking on "Wacom Graphics Tablet" crashes with an error message that unfortunately I didn't record.  Something like bug #799667 I suppose.

My hardware is a Thinkpad X201 Tablet (with a wacom).  On another non-tablet thinkpad, I have no problems.

Downgrading to libwacom-0.4 fixes this for me.
Comment 1 Peter Hutterer 2012-05-07 18:36:34 EDT
I need the evemu-describe output of the wacom device please.
Comment 2 Colin Macdonald 2012-05-07 19:56:38 EDT
I tried:

# evemu-describe /dev/input/event0

for all the paths in /dev/input/... but none of them seem to be a wacom device.  

Sorry for the cluelessness but what should I do?

# xsetwacom --list
Serial Wacom Tablet WACf00c stylus	id: 15	type: STYLUS    
Serial Wacom Tablet WACf00c eraser	id: 16	type: ERASER    
Serial Wacom Tablet WACf00c touch	id: 17	type: TOUCH

(there is no /dev/input/event15, 16 or  17 if that's what "id" is...)
Comment 3 Peter Hutterer 2012-05-07 20:04:19 EDT
oh, right. that's a serial device then. xinput --list --long should give me enough information.

you can fetch the error message by updating libwacom, running gnome-control-center and then downgrading again (to avoid messing up your session).
Comment 4 Colin Macdonald 2012-05-07 20:49:41 EDT
Created attachment 582809 [details]
xinput-list-long.txt
Comment 5 Colin Macdonald 2012-05-07 20:50:31 EDT
$ gnome-control-center 
**
libwacom:ERROR:libwacom.c:180:get_device_info: assertion failed: (product_str)
Aborted
$

(error happens when I click on the wacom icon, not when I start gnome-c-c.)
Comment 6 Colin Macdonald 2012-05-07 20:54:41 EDT
Maybe worth noting that with libwacom-0.4 downgraded my touchscreen doesn't work: it always behaves like relative (touchpad) motion instead of absolute.  Perhaps I can fix this with xsetwacom but I haven't tried.  Pen still works in absolute mode.

FWIW, both work out-of-box in F16 (well except when changing resolutions, external screens, etc which required messing around with xsetwacom).
Comment 7 Fedora Update System 2012-05-08 00:09:29 EDT
libwacom-0.5-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libwacom-0.5-3.fc17
Comment 8 Fedora Update System 2012-05-09 12:10:11 EDT
Package libwacom-0.5-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libwacom-0.5-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7509/libwacom-0.5-3.fc17
then log in and leave karma (feedback).
Comment 9 Colin Macdonald 2012-05-09 18:48:42 EDT
That's certainly an improvement in that I can start gnome-control-center and click on the wacom icon.  I haven't tried logging out to see if it fixes the gnome-settings-daemon problem.   I will report back when I have.

However, gnome-control-center is not functional.  Instead of options like relative versus absolute position, there are two buttons "Calibrate..." and "Map Buttons..." and clicking on these gives errors:

$ gnome-control-center 

(gnome-control-center:11071): wacom-cc-panel-CRITICAL **: gsd_wacom_device_get_buttons: assertion `GSD_IS_WACOM_DEVICE (device)' failed

(gnome-control-center:11071): wacom-cc-panel-WARNING **: No fuzzy match based on heuristics was found.

(gnome-control-center:11071): wacom-cc-panel-CRITICAL **: Output associated with the tablet is not connected. Unable to calibrate.

But perhaps this is a different bug.
Comment 10 Adam Williamson 2012-05-10 13:37:13 EDT
Can you please add a +1 on the update, as long as it's still working better than previous builds? Even if it's not perfect, as long as it's an improvement we want to pull the update for Final. thanks!



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Peter Hutterer 2012-05-10 19:47:08 EDT
(In reply to comment #9)
> However, gnome-control-center is not functional.  Instead of options like
> relative versus absolute position, there are two buttons "Calibrate..." and
> "Map Buttons..." and clicking on these gives errors:

you have a  built-in serial tablet, so GNOME won't display relative vs absolute. and it'll try to map to the screen directly. it should only show Calibrate and Map Buttons.

> $ gnome-control-center 
> 
> (gnome-control-center:11071): wacom-cc-panel-CRITICAL **:
> gsd_wacom_device_get_buttons: assertion `GSD_IS_WACOM_DEVICE (device)' failed
> 
> (gnome-control-center:11071): wacom-cc-panel-WARNING **: No fuzzy match based
> on heuristics was found.
> 
> (gnome-control-center:11071): wacom-cc-panel-CRITICAL **: Output associated
> with the tablet is not connected. Unable to calibrate.
> 
> But perhaps this is a different bug.

different bug, that's in control-center somewhere.
Comment 12 Peter Hutterer 2012-05-13 23:37:40 EDT
(In reply to comment #9)
> (gnome-control-center:11071): wacom-cc-panel-CRITICAL **:
> gsd_wacom_device_get_buttons: assertion `GSD_IS_WACOM_DEVICE (device)' failed

https://bugzilla.gnome.org/show_bug.cgi?id=676005

> (gnome-control-center:11071): wacom-cc-panel-WARNING **: No fuzzy match based
> on heuristics was found.
> 
> (gnome-control-center:11071): wacom-cc-panel-CRITICAL **: Output associated
> with the tablet is not connected. Unable to calibrate.


https://bugzilla.gnome.org/show_bug.cgi?id=676006
Comment 13 Colin Macdonald 2012-05-14 11:02:44 EDT
For completeness: having now restarted my system, this bug is fixed and my serial touch device works correctly.

Thanks reporting the other issues upstream for me.
Comment 14 Adam Williamson 2012-05-14 19:03:53 EDT
*Please* don't close bugs until the update is pushed stable. Especially during freezes, and double-especially blocker bugs. When they get closed, they drop right off of our blocker tracking radar.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 15 Fedora Update System 2012-05-15 22:58:55 EDT
libwacom-0.5-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.